## org.metaabm
Interface SLocation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface SLocation

extends org.eclipse.emf.ecore.EObject

A representation of the model object ' SLocation'.

The following features are supported:

- `Projection`

See Also:
  `org.metaabm.MetaABMPackage#getSLocation()`

Method Summary
`SProjection` `getProjection()` Returns the value of the 'Projection' reference.
`void` `setProjection(SProjection value)` Sets the value of the '`Projection`' reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getProjection

    SProjection getProjection()

  Returns the value of the 'Projection' reference.

  If the meaning of the 'Projection' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Projection' reference.
  See Also:
    `setProjection(SProjection)`, `org.metaabm.MetaABMPackage#getSLocation_Projection()`

### setProjection

    void setProjection(SProjection value)

  Sets the value of the '`Projection`' reference.

  Parameters:
    `value` - the new value of the 'Projection' reference.
  See Also:
    `getProjection()`